#
# spec file for package sylpheed (Version 0.9.4claws)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  -esound alsa alsa-devel aspell aspell-devel compface cups cups-libs cyrus-sasl2 cyrus-sasl2-devel db-devel des gdk-pixbuf gdk-pixbuf-devel ghostscript-library ghostscript-x11 glib glib-devel gnome-core gpg gpgme gpp gtk gtk-devel heimdal heimdal-devel heimdal-lib imlib imlib-config imlib-devel libgcj libgimpprint libgpp libjpeg libpng libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel pilot-link pilot-link-devel readline-devel update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel aspell aspell-devel autoconf automake binutils compface cracklib cups cups-libs cyrus-sasl-devel db-devel des e2fsprogs-devel fontconfig fontconfig-devel gcc gcc-c++ gdbm gdk-pixbuf gdk-pixbuf-devel gettext ghostscript-library ghostscript-x11 glib glib-devel gnome-filesystem gpg gpgme gtk gtk-devel heimdal heimdal-devel heimdal-lib imlib imlib-config imlib-devel libgcj libgimpprint libjpeg libpng libstdc++-devel libtiff libtool openldap2 openldap2-devel openssl-devel perl pilot-link pilot-link-devel readline-devel rpm update-desktop-files

Name:         sylpheed
%define prefix /usr/X11R6
License:      GPL
Group:        Productivity/Networking/Email/Clients
Autoreqprov:  on
Version:      0.9.4claws
Release:      100
Source0:      sylpheed-%{version}.tar.bz2
Source1:      sylpheed-iconset-20030712.tar.bz2
Source2:      ghostscript-viewer-0.4.tar.bz2
Source3:      mongrel2.tar.bz2
Source4:      orbit-claws.tar.bz2
Source5:      skypilot_clawssic.tar.bz2
Patch0:       automake.diff
Patch1:       sylpheed-claws-after-0.9.4.diff
Patch2:       alertpanelbug.patch
Patch3:       sylpheed-mime-overflow.patch
Patch4:       sylpheed-import-overflow.diff
URL:          http://sylpheed-claws.sourceforge.net/
Summary:      An Email client similar to Eudora on Windows
Requires:     gpgme aspell
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Sylpheed is an e-mail client and news reader based on GTK+ running
   on the X Window System that aims for * Quick response

* Graceful and sophisticated interface

* Easy configuration, intuitive operation

* Abundant features The appearance and interface are similar to some
   popular e-mail clients for Windows, such as Outlook Express,
   Becky!, and Datula. The interface is also designed to emulate the
   mailers on Emacsen. Almost all commands are accessible with the
   keyboard.

The messages are managed by MH format and you can use it together with
another mailer based on MH format (like Mew). You can also utilize
fetchmail, procmail, and external programs on receiving (like inc or
imget).



Authors:
--------
    Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf %{prefix}/share/sylpheed/themes
%setup
%{?suse_update_config:%{suse_update_config}}
%patch0
%patch1 -p1
%patch2
%patch3 -p1
%patch4
%setup -D -T -b 2

%build
export ACLOCAL='aclocal -I ac'
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	        --mandir=%{_mandir} \
                --prefix=%{prefix} \
	        --libdir=%{prefix}/%{_lib} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
		--enable-ldap \
                --enable-ipv6 \
		--enable-gpgme \
		--enable-openssl \
		--enable-jpilot \
		--enable-aspell \
		--enable-spamassassin-plugin \
		--disable-mathml-viewer-plugin \
		--disable-dillo-viewer-plugin \
		--disable-demo-plugin  \
		--disable-clamav-plugin
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        make test
fi
cd ../ghostscript-viewer-0.4
export ACLOCAL='aclocal'
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --libdir=%{prefix}/%{_lib} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
		--with-sylpheed-dir=`pwd`/../sylpheed-%{version}
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        make test
fi

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd ../ghostscript-viewer-0.4
make DESTDIR=$RPM_BUILD_ROOT install
cd ../sylpheed-%{version}
# Clean up
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/sylpheed/plugins/*.la 
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/sylpheed/plugins/*.a
rm -rf $RPM_BUILD_ROOT%{prefix}/include/sylpheed
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/pkgconfig/sylpheed-claws.pc
# install desktop file
%suse_update_desktop_file -i %name Internet Email
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
cp sylpheed.png $RPM_BUILD_ROOT/usr/share/pixmaps/
# Themes
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes
bzcat %{SOURCE1} | tar xv -C $RPM_BUILD_ROOT%{prefix}/share/sylpheed
mv $RPM_BUILD_ROOT%{prefix}/share/sylpheed/sylpheed-iconset-20030712/* $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes
rmdir $RPM_BUILD_ROOT%{prefix}/share/sylpheed/sylpheed-iconset-20030712
bzcat %{SOURCE3} | tar xv -C $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes
bzcat %{SOURCE4} | tar xv -C $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes
bzcat %{SOURCE5} | tar xv -C $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes
mv $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes/Skypilot\ Clawssic $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes/Skypilot
mv $RPM_BUILD_ROOT%{prefix}/share/sylpheed/themes/README ./README.themes
# Tools
cp -r tools $RPM_BUILD_ROOT%{prefix}/share/sylpheed
rm $RPM_BUILD_ROOT%{prefix}/share/sylpheed/tools/Makefile*
mv $RPM_BUILD_ROOT%{prefix}/share/sylpheed/tools/README ./README.tools
# fixing permissions
pushd $RPM_BUILD_ROOT%{prefix}/share/sylpheed
find . -name "*.xpm" -o -name ".directory" | xargs chmod 644
popd
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{prefix}/bin/sylpheed
%{prefix}/%{_lib}/sylpheed
%{prefix}/share/sylpheed
/usr/share/applications/sylpheed.desktop
/usr/share/pixmaps/sylpheed.png
%_mandir/man1/sylpheed.1.gz
%doc ABOUT-NLS AUTHORS COPYING ChangeLog ChangeLog.claws ChangeLog.jp README README.claws README.jp INSTALL TODO TODO.jp README.themes README.tools

%changelog -n sylpheed
* Thu Nov 17 2005 - zpetrova@suse.cz
-  Fix buffer overflow in ldif and adressbook import (#132688)
* Fri Apr 01 2005 - hvogel@suse.de
- fix buffer overflow in the mime code (#72801)
* Thu Oct 16 2003 - didge@suse.de
- added patch to fix alertpanel bug
* Mon Sep 15 2003 - didge@suse.de
- added theme Skypilot
* Tue Sep 02 2003 - didge@suse.de
- diff from cvs added for some bugfixes
- workaround for 'aclocal -I ac' export
* Wed Aug 20 2003 - sbrabec@suse.cz
- Removed obsolete libgtop from neededforbuild.
* Tue Aug 19 2003 - ro@suse.de
- fixed lib64 problem
* Mon Aug 18 2003 - didge@suse.de
- 2 more themes
- diff from cvs added for some bugfixes
* Tue Aug 12 2003 - adrian@suse.de
- package desktop file
* Tue Aug 12 2003 - adrian@suse.de
- install desktop file according to XDG
* Mon Aug 04 2003 - didge@suse.de
- new version 0.9.4claws
- reactivated trayicon plugin
* Wed Jul 30 2003 - ro@suse.de
- added readline-devel to neededforbuild
* Fri Jul 18 2003 - didge@suse.de
- added patch against current CVS to fix some bugs
- removed trayicon plugin, because unload crashs sylpheed
- moved the README of the tools to %%doc
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 14 2003 - didge@suse.de
- Version 0.9.3claws
- new Iconset
- ghostview-plugin added
* Thu Jul 03 2003 - ro@suse.de
- install gnome files to /opt/gnome
* Tue Jul 01 2003 - didge@suse.de
- updated files section
- added the tools for sylpheed
- added Gnome icon
* Mon Jun 23 2003 - didge@suse.de
- Version 0.9.0claws
* Sat Jun 14 2003 - coolo@suse.de
- package directories
* Tue Jun 03 2003 - coolo@suse.de
- use BuildRoot
- fix file list to include tons of unpackages themes (to be reviewed)
* Wed May 14 2003 - sf@suse.de
- corrected patch and use 'autoreconf -f -i'
* Tue Apr 01 2003 - sf@suse.de
- actualize libtool (to be able to link libcompface.a into shlib)
* Mon Mar 31 2003 - didge@suse.de
- Version 0.8.11claws
* Tue Mar 11 2003 - didge@suse.de
- some more bugfixes from CVS
- current manual added
- updated translations
* Mon Mar 10 2003 - kukuk@suse.de
- Set libdir
* Mon Mar 03 2003 - didge@suse.de
- 2 more bugfixes and fixes of warnings from CVS
* Fri Feb 28 2003 - didge@suse.de
- more patches from CVS
- updated KDE2/3 menu and icons
* Mon Feb 24 2003 - didge@suse.de
- added the spamassassin plugins to the files section
- more patches from CVS
- removed md5 patch
* Mon Feb 17 2003 - didge@suse.de
- added patch for some fixes and speedups from after 0.8.10claws
* Thu Feb 13 2003 - didge@suse.de
- Version 0.8.10claws
- cut patch as most is in 0.8.10claws now
* Fri Jan 31 2003 - didge@suse.de
- Version 0.8.9claws
- Fixed Bug 23266: remove -mminimal-toc from RPM_OPT_FLAGS
- Fixed Bug 23265 - sylpheed compile error in md5.c
* Fri Jan 31 2003 - ro@suse.de
- use cyrus-sasl2 in neededforbuild
* Fri Jan 10 2003 - didge@suse.de
- Version 0.8.8claws
- new Iconset (0.8.7claws)
* Mon Dec 02 2002 - didge@suse.de
- Version 0.8.6claws
* Mon Oct 21 2002 - didge@suse.de
- Version 0.8.5claws
- new Iconset
- patch against a bug
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Wed Jul 31 2002 - didge@suse.de
- Version 0.8.1claws
- Themes pack 3 added
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Sat Jun 29 2002 - olh@suse.de
- build with -mminimal-toc on ppc64
* Fri Jun 21 2002 - didge@suse.de
- Version 0.7.8claws
* Fri May 10 2002 - didge@suse.de
- Version 0.7.5claws
- Themes pack added
* Tue May 07 2002 - ro@suse.de
- fixed specfile: no macro allowed in Version: line
* Tue Mar 12 2002 - didge@suse.de
- Version 0.7.4claws
- many new features
* Thu Feb 28 2002 - didge@suse.de
- added patch against CVS to fix segfault on opening a mime part
- added support for ISO-8859-15
- updated german translation
* Tue Feb 26 2002 - didge@suse.de
- added patch against CVS to fix memory leak while handling attachments
* Mon Feb 25 2002 - didge@suse.de
- Version 0.7.2claws
* Thu Feb 14 2002 - didge@suse.de
- Version 0.7.1claws
* Wed Jan 16 2002 - didge@suse.de
- Version 0.7.0claws
* Mon Dec 17 2001 - didge@suse.de
- Version 0.6.6claws
- came back to normal releases, no cvs anymore
- the Santa Claws release :-)
* Mon Nov 26 2001 - didge@suse.de
- a big bug is fixed (forgeting about read messages and marking
  them as unread again)
- my undo-patch is added
* Fri Nov 23 2001 - didge@suse.de
- Bug with GPG is fixed
* Wed Nov 21 2001 - didge@suse.de
- Version 0.6.5
- bugfix in spec
* Wed Nov 21 2001 - ro@suse.de
- added cyrus-sasl-devel to neededforbuild
* Mon Oct 29 2001 - didge@suse.de
- Version 0.6.4claws13
- de translations
* Mon Oct 22 2001 - didge@suse.de
- Version 0.6.4claws1
* Tue Oct 09 2001 - didge@suse.de
- Version 0.6.3claws2
* Mon Oct 01 2001 - didge@suse.de
- Version 0.6.2claws12
- Pspell now works fine
* Fri Sep 28 2001 - didge@suse.de
- Version 0.6.2claws
- Pspell deactivated because of segfault with SuSE, but will come soon
- current german translations
* Tue Sep 04 2001 - didge@suse.de
- added missing translations
* Mon Sep 03 2001 - didge@suse.de
- Version 0.6.1claws out of CVS
- German translations
- Some new features
* Thu Aug 23 2001 - didge@suse.de
- Version 0.5.3claws3 out of CVS
- German translations
* Wed Aug 22 2001 - didge@suse.de
- Version 0.5.3claws2 out of CVS
- GPGME exclude to an extra package
* Mon Aug 06 2001 - didge@suse.de
- Version 0.5.2claws1 out of CVS
- ssl is working for IMAP and SMTP
* Tue Jul 31 2001 - didge@suse.de
- Version 0.5.1claws3 out of the CVS
- gpgme compiled in the package (should better be an extra package)
- compiled with ipv6-support
- compiled with JPilot-support
- compiled with ldap-support
- compiled with ssl-support (not sure if working already)
- added tools in /usr/share/doc/packages/sylpheed
* Thu Jul 12 2001 - didge@suse.de
- Version 0.5.0claws out of the CVS
* Thu Jun 28 2001 - didge@suse.de
- Removes openldap requirement, to build on S390
  it was never used anyway
* Tue Jun 19 2001 - didge@suse.de
- Added menu entry + icon
* Tue Jun 19 2001 - didge@suse.de
- Version 0.4.99claws
  Date 15.6.2001
* Tue Jun 12 2001 - didge@suse.de
- Try to fix the CVS-version, to build it.
* Tue Jun 05 2001 - didge@suse.de
- Version 0.4.99claws3
  Date 5.6.2001
* Sun May 13 2001 - didge@suse.de
- Verison 0.4.66 + patches:
  add-sender-to-addressbook-1.patch
  empty_mailbox-2.patch
  foldercolor.patch
  font-sel.patch
  gtkstext.0.4.63.patch
  showaddr.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.65cvs8-unlimited_from.patch
  sylpheed-0.4.66-gpgpopup.patch
  sylpheed-0.4.66-gtkspell.patch
  sylpheed-0.4.66-no-retrieval-dialog
  sylpheed-0.4.66-nogpgwarn.patch
  sylpheed-autodelete-6.patch
  sylpheed-config-0.4.64.patch
  sylpheed-custom-headers-5.patch
  sylpheed-ldapaddressbook-v2.patch
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 24 2001 - didge@suse.de
  Version 0.4.65cvs4.
  The following patches were applied :
- add-sender-to-addressbook.patch
- bytesread.patch
- empty_mailbox-2.patch
- foldercolor.patch
- font-sel.patch
- gtkstext.0.4.63.patch
- progresswindow.patch
- sylpheed-0.4.63-marknav.patch
- sylpheed-0.4.63-update_colors.patch
- sylpheed-0.4.63-warnqueued.patch
- sylpheed-0.4.64-gpgkeysel.patch
- sylpheed-autodelete-5.patch
- sylpheed-config-0.4.64.patch
- sylpheed-custom-headers-5.patch
- sylpheed-forward-3.patch
- sylpheed-news-3.patch
- sylpheed-open-url.patch
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- Version 0.4.64
- Patches:
  add-sender-to-addressbook-1.patch
  foldercolor.patch
  font-sel.patch
  progresswindow.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.63-update_colors.patch
  sylpheed-0.4.63-warnqueued.patch
  sylpheed-0.4.63cvs9-layout2.patch
  sylpheed-0.4.63cvs9-noparts.patch
  sylpheed-0.4.63cvs9-showserver.patch
  sylpheed-0.4.64-gpgkeysel.patch
  sylpheed-custom-headers-4.patch
  sylpheed-forward-2.patch
  sylpheed-news-2.patch
  sylpheed-open-url.patch
  sylpheed-toolbar.patch
  usestrftime.patch
  bytesread.patch
* Tue Apr 10 2001 - didge@suse.de
  Patches added:
- empty_mailbox.patch
- font-sel.patch
- gtkstext.patch
- patch-config-4.60.patch
- sylpheed-autodelete-4.patch
- sylpheed-forward-2.patch
- sylpheed-news-2.patch
- sylpheed-custom-headers-4.patch
- sylpheed-open-url.patch
* Tue Apr 10 2001 - didge@suse.de
- version 0.4.63
- changes:
  * Some menu items are sorted out.
  * `Attract by subject' is speeded up.
  * Smooth scrolling of message text is enabled.
  * Generic mark and Deleted mark became permanent.
  * Replied and Forwarded mark are enabled.
  * The design of New and Unread mark is changed.
  * Generic mark and Unread mark can be toggled with clicking summary view.
  * Long References header is truncated now.
  * Updated the GnuPG support code.
  * Messages can be moved across file systems.
  * Message date is converted into local time when displaying.
  * The colors of quoted part and URI of messages can be specified,
  and they are specifiable according to quotation level.
  * It is enabled to keep the current folder after receiving new messages.
  * The speed of cache reading is improved.
  * Message copy is implemented.
  * Many other bugfixes have been done.
* Mon Mar 19 2001 - didge@suse.de
- small bugfix to the patched version of 0.4.63cvs3
- sylpheed patched 9.1
* Mon Mar 19 2001 - didge@suse.de
- new patched version of 0.4.63cvs3
* Wed Mar 14 2001 - didge@suse.de
- build patched version 0.4.62
- add-sender-to-addressbook.patch
- sylpheed-open-url.patch
- empty_mailbox.patch
- patch-config-4.60.patch
- sylpheed-forward.patch
- sylpheed-custom-headers-3.patch
- sylpheed-autodelete-2.patch
* Mon Mar 12 2001 - ro@suse.de
- fixed macro use in specfile
* Mon Mar 12 2001 - didge@suse.de
- some new features are added, new version 0.4.62
* Tue Feb 13 2001 - didge@suse.de
- a lot of bugfixes and two new versions, newest 0.4.61
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Jan 16 2001 - didge@suse.de
- a lot of bugs where fixed and the news support was redesigned
- new version 0.4.52
* Wed Dec 27 2000 - didge@suse.de
- some segfaults were fixed in the version 0.4.9
* Mon Dec 11 2000 - didge@suse.de
- problems hopefully fixed :-)
* Mon Dec 11 2000 - didge@suse.de
- updated to 0.4.8 and try fixed build problems
* Mon Dec 04 2000 - didge@suse.de
- updated to 0.4.7 and updated %%description
* Mon Nov 20 2000 - didge@suse.de
- first build of sylpheed (0.4.4)
